/*
File Name: style.css
Date: 05/14/20
Programmer: Fredy Chavez
*/

/* MOBILE STYLES */

body {
    font-family: "Nunito Sans", Roboto, sans-serif;
    font-size: 16px; 
    line-height: 1.5em;
    background-color: #FFFFFF;
}

h2, h3, p {
    margin: 1em 0;
}

header {
    background-image: url(../images/header_burrito.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-color: #EB0E15;
    width: 100%;
    display: inline-block;
    text-align: center;
}

main {
    padding: 1em;
}

h1 {
    font-weight: bold;
    font-size: 3em;
    text-shadow: 2px 2px #F5881B;
    color: #FFFFFF;
    display: inline;
    line-height: 90px;       
}

#logo {
    float: left;
    width: 110px;
    height: 110px;
    display: inline-block; 
    padding: 10px;
}

h2 {
    font-weight: bold;
    font-size: 2em;
    line-height: normal;
    color: #F5881B;
    text-align: center;
    margin-top: 1.5em;
}

h3 {
    font-size: 1.4em;
    text-decoration: underline;
    color: #EB0E15;
}

h4 {
    font-size: 1.1em;
    font-style: italic;
}

nav {
    font-weight: bold;
    font-size: 1.2em;
    clear: left;
    
}

nav ul {
    list-style-type: none;
    padding: 0;
    position: relative;
}

nav li a {
    text-decoration: none; 
    text-align: center; 
    display: block;
    background-color: #E0CC3A;
    border: 2px outset #FFFFFF;
    padding: 0.5em;
    margin: 0;   
}

nav a:link {
    color: #FFFFFF;
}

nav a:visited {
    color: #F5881B; 
}

nav a:hover {
    color: #EAFFE5; 
    background-color: #F5881B;
}

#gallery {
    display: block; 
    margin-left: auto;
    margin-right: auto; 
    padding: 2px;
}



#contact {
    text-align: center;
}

#contact p {
    font-size: 1.2em;
}

#mobile {
    font-size: 1.2em;
    color: #F5881B;
    text-decoration: none;
}

footer {
    background-color: #EB0E15;
    color: #FFFFFF;
    text-align: center;
}

footer p {
    font-weight: bold;
}

.media li {
    display: inline-block;
    font-size: 2.5em;
    letter-spacing: 15px;
}

#designer {
    font-style: italic;
    font-weight: normal;
    font-size: 1em;
    line-height: 1.1em;
    text-align: center;
}

#designer a:link {
    color: #FFFFFF;
}

#designer a:hover {
    color: #000000;
}

#designer a:visited {
    color: #E0CC3A;
}

#titleColor {
    color: #EB0E15;
}

/*TABLET STYLES*/

@media only screen and (min-width: 481px) {
    body {
        background-image: url(../images/mexican_indian_design1.jpg);
        background-repeat: repeat;
}

    #container {      
        min-width: 700px;
        max-width: 1024px; 
        background-color:#FFFFFF;
        color: #000000;
        margin-right: auto;
        margin-left: auto;
        box-shadow: 5px 5px 5px #000000; 
} 
    
    nav li a {
        float: left;
        display: block; 
        min-width: 6.5em; 
        border: none;
}

    img {
        width: 100%;
        height: 100%;
    }
    
/* CSS GRID TABLET */
    .grid {
        display: grid;
        grid-gap: 20px;
        padding: 10px;
}
    
    .item1 {
        grid-column: 1 / span 6;
        grid-row: 1;
}
    
    .item3 {
        grid-column: 7 / span 6;
        grid-row: 1;
}
    
    .item2 {
        grid-column: 1 / span 6;
        grid-row: 2;
}  
    .item4 {
        grid-column: 7 / span 6;
        grid-row: 2;
}

    iframe {
        width: 60%;
        height: 300px;
}
}


/*DESKTOP STYLES*/

@media only screen and (min-width: 1025px) {
    
/*CSS GRID DESKTOP*/
    
    .grid {
        display: grid;
        grid-gap: 30px;
        padding: 10px;
}
    
    .item1 {
        grid-column: 1 / span 3;
        grid-row: 1;
}
    
    .item2 {
        grid-column: 4 / span 3;
        grid-row: 1;
}
    
    .item3 {
        grid-column: 7 / span 3;
        grid-row: 1;
}  
    
    .item4 {
        grid-column: 10 / span 3;
        grid-row: 1;
}
    
    iframe {
        width: 100%;
        height: 300px
}
}



